using System.Threading;
using MBN;
using MBN.Modules;
using Microsoft.SPOT;
using Microsoft.SPOT.Presentation.Media;

namespace Examples
{
    public class Program
    {
        private static FlameClick flame;

        public static void Main()
        {
            flame = new FlameClick(Hardware.SocketThree);
            flame.FlameStateChanged += OnFlameDetected;

            Thread.Sleep(Timeout.Infinite);
        }

        private static void OnFlameDetected(object sender, FlameClick.FlameState state)
        {
            Debug.Print("Flame State - " + (state == FlameClick.FlameState.Absent ? " no flame detected" : "flame detected"));
        }
    }
}
